jQuery(function($){
	// Dropdown Code
	function show_hide_feb_nav_drop() {
		theSpan = $('.feb-nav-dropdown > li span');
		if (menu_show == true) {
			// Hide now
			theSpan.removeClass('active').parent().children(".feb-menu-more-dropdown").hide();
			menu_show = false;
		}
		else {
			// Show now
			theSpan.addClass('active').parent().children(".feb-menu-more-dropdown").show();
			menu_show = true;
		}
	}
	menu_show = false;

	$('.feb-nav-dropdown > li .feb-menu-more-dropdown').columnize_lists({'rows':15, 'div_wrapper_class':'feb-menu-more-dropdown', 'set_width':false});
	
	$('.feb-nav-dropdown > li .feb-menu-more-dropdown').hide().css({'left':'auto','right':'3px'});
	
	$('.feb-nav-dropdown > li span').click(function(){
		show_hide_feb_nav_drop();
	});
	
	// Run tabs
	$('.tabset:has(.tabs)').tabs();
});

(function($) {
	$.fn.columnize_lists = function(args) {
		var args = args || {};
		var pref = args.pref || 'cols'; // 'rows' or 'cols'
		var rows = args.rows || 10;
		var cols = args.cols || 4; 
		var set_width = args.set_width == false ? false : true;
		var container_class = args.container_class || 'clearfix';
		var col_class = args.col_class || 'cf-col';
		var div_wrapper_class = args.div_wrapper_class || 'div-wrapper';
		
		var cont = $(this).parent();
		var items = $(this).find('li');
		var items_count = items.size();
		
		// If we have the column preference, figure out how many rows we should have, then do rows
		if (pref == 'cols') {
			var rem = items_count % cols;
			var rows = Math.floor(items_count / cols);
			rem ? extra = 1 : extra = 0;
		}

		// Put a wrapper around our new divs we're creating
		cont.append('<div class="' + div_wrapper_class + '"></div>');
		var div_wrapper = $("." + div_wrapper_class);
		
		// Loop through each
		var i = 0;
		var col_num = 0;
		items.each(function() {
			// fancy-pants math to see if we should append an extra row till we have no remainder 
			(extra && col_num <= rem) ? row_count = rows + extra : row_count = rows;
			if (i % row_count == 0) {
				col_num++;
				i = 0;
				cur_col = 'col-' + col_num.toString();
				div_wrapper.append('<div class="' + col_class + ' ' + cur_col + '"><ul></ul></div>');
			}
			
			$(this).appendTo(div_wrapper.find('.' + cur_col + ' ul'));
			i++;
		});
			
		
		// Now add the container class, and remove the initial ul
		cont.addClass(container_class).children("ul").remove();
		
		// set size of cf_col
		if (set_width == true) {
			$('.cf-col').width(Math.floor(cont.width() - 10) / col_num);
		}
	};
})(jQuery);
